from .object import Object

class Raid(Object):
    def __init__(self, name, number, level, location, start_time, end_time, country):
        super().__init__()
        self.name = name
        self.number = number
        self.level = level
        self.location = location
        self.start_time = start_time
        self.end_time = end_time
        self.country = country

    def __repr__(self):
        return f"(Raid: {self.name} - {self.level}-star - {self.location} - Start: {self.start_time} - End: {self.end_time})"
        