from ispoof.core.objects.player import Player
from ispoof.core.spoofer.scraper import Scraper
from ispoof.core.spoofer.device import Device
from pymobiledevice3.exceptions import AlreadyMountedError
import traceback

if __name__ == "__main__":
    device = Device()
    image_path = "DeveloperDiskImage.dmg"
    signature_path = "DeveloperDiskImage.dmg.signature"
    try:
        device.mount_image(image_path, signature_path)
    except Exception as e:
        traceback.print_exc()
        print("Already mounted. Continuing.")
    player = Player()
    query = input("Enter your location: ")
    player.set_location_with_query(query)
    scraper = Scraper()
    
    while True:
        pokemons = scraper.get_hundos()
        pokemons.sort(key=lambda x: x.end_time, reverse=True)
        print("Spoof to")
        print(pokemons[10])
        location = pokemons[10].location
        device.spoof_gps(location)
        did_activity = None
        while True:
            activity = input("Did you do any cooldown activities? [Y/N] ").lower()
            if activity in ("y", "n"):
                did_activity = activity == "y"
                break
        player.set_location(location, did_activity)
        print(f"Current cooldown: {player.current_cooldown} min")

        while True:
            continue_prompt = input("Continue? [Y/N] ").lower()
            if continue_prompt in ("y", "n"):
                if continue_prompt == "n":
                    device.stop_spoofing()
                    exit(0)
                else: break
        

    

# print(scraper.get_raids())